### Method

# Xdp Settings read_value

#### Declaration [src]

    GVariant*
    xdp_settings_read_value (
      XdpSettings* settings,
      const char* namespace_,
      const char* key,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Read a setting value within `namespace_`, with `key`.

#### Parameters

`namespace_`

  Type: `const char*`

  The namespace of the value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const char*`

  The key of the value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A GCancellable or NULL.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

The value, or `NULL` if not found. If `error` is not NULL, then the error is returned.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.